## NMSetting6Lowpan

NMSetting6Lowpan — Describes connection properties for 6LoWPAN interfaces

## Functions

NMSetting * | nm_setting_6lowpan_new ()
const char * | nm_setting_6lowpan_get_parent ()

## Types and Values

#define | NM_SETTING_6LOWPAN_SETTING_NAME
#define | NM_SETTING_6LOWPAN_PARENT

## Description

The NMSetting6Lowpan object is a NMSetting subclass that describes properties necessary for connection to 6LoWPAN interfaces.

## Functions

### nm_setting_6lowpan_new ()

    NMSetting *
    nm_setting_6lowpan_new (void);

Creates a new NMSetting6Lowpan object with default values.

#### Returns

the new empty NMSetting6Lowpan object.

[transfer full]

Since: 1.42

### nm_setting_6lowpan_get_parent ()

    const char *
    nm_setting_6lowpan_get_parent (NMSetting6Lowpan *setting);

#### Parameters

setting | the NMSetting6Lowpan |

#### Returns

the “parent” property of the setting

Since: 1.42

## Types and Values

### NM_SETTING_6LOWPAN_SETTING_NAME

    #define NM_SETTING_6LOWPAN_SETTING_NAME "6lowpan"

### NM_SETTING_6LOWPAN_PARENT

    #define NM_SETTING_6LOWPAN_PARENT "parent"